#
# spec file for package phonon-backend-vlc (Version 2.0git)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           phonon-backend-vlc
BuildRequires:  libswscale_oldabi0 libpostproc_oldabi51
BuildRequires:  alsa-devel automoc4 cmake kde4-filesystem phonon-devel pkgconfig
BuildRequires:  vlc-devel => 1.0.90
BuildRequires:  vlc-devel < 1.2.0
BuildRequires:  fdupes libv4l-devel
Version:        0.3.2
Release:        3.1
License:        LGPLv2.0+
Url:            http://phonon.kde.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          Development/Libraries/KDE
Summary:        Phonon VLC Backend
Source0:        phonon-backend-vlc-%{version}.tar.bz2
%requires_ge    libqt4
Provides:       phonon-backend
Requires:       libphonon4
Requires:       vlc => 1.0.90
Requires:       vlc < 1.2.0
Obsoletes:      phonon-vlc

%description
Phonon is a cross-platform portable Multimedia Support Abstraction,
which allows you to play multiple audio or video formats with the same
quality on all platforms, no matter which underlying architecture is
used.

This is the VLC backend for Phonon




Authors:
--------
    Phonon and VLC teams

%prep
%setup -q -n phonon-backend-vlc-%{version}

%build
%if %suse_version < 1140
  %cmake_kde4 -d build
%else
  %cmake_kde4 -d build -- -DPHONON_VLC_NO_EXPERIMENTAL=OFF
%endif
  %make_jobs

%install
  cd build
  %makeinstall

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%_kde4_modules/plugins/phonon_backend/phonon_vlc.so
%_kde_share_dir/services/phononbackends/vlc.desktop

%changelog
* Sun Jan 23 2011 @gmail.com
- update to version 0.3.2
* Wed Dec  1 2010 tittiatcoke@gmail.com
- update to version 0.3.1
* Tue Aug 17 2010 tittiatcoke@gmail.com
- update to a newer snapshot
  * Emit the proper stateChanged() signals in play, pause and stop
  * Add Phota, a small Phonon Testing Application for VLC debugging
  * Do not explode in Audio Apps
  * further small fixes/improvements
* Thu Aug 12 2010 alexo.veto@gmail.com
- Add:  Obsoletes: phonon-vlc
* Sat Jul 24 2010 tittiatcoke@gmail.com
- Update to a newer snapshot.
  * Add webM MIME types for audio and video
  * Add mimetype to allow ogg files to show correctly
  * Add some realmedia files mimetype
* Mon Jul 19 2010 tittiatcoke@gmail.com
- Update to a newer snapshots
* Tue Jun  1 2010 tittiatcoke@gmail.com
- Initial package.
